SystemOrganization addCategory: #'Stardew-UI'!
SystemOrganization addCategory: #'Stardew-Core'!

Morph subclass: #SVAnimal
	instanceVariableNames: 'numberLegs isSmall'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Stardew-Core'!

!SVAnimal commentStamp: 'jb 11/11/2020 15:00' prior: 0!
SVAnimal ist eine abstrakte Klasse und Vorlage für xy

Unterklasen sollten implemtieren: makeSound was zx macht
!

!SVAnimal methodsFor: 'accessing' stamp: 'jb 11/11/2020 14:52'!
isSmall
	^ isSmall! !

!SVAnimal methodsFor: 'accessing' stamp: 'jb 11/11/2020 14:52'!
isSmall: anObject
	isSmall := anObject! !

!SVAnimal methodsFor: 'behavior' stamp: 'jb 11/11/2020 14:57'!
makeSound

	self subclassResponsibility
! !

!SVAnimal methodsFor: 'accessing' stamp: 'jb 11/11/2020 14:50'!
numberLegs

	^ numberLegs! !

!SVAnimal methodsFor: 'accessing' stamp: 'jb 11/11/2020 14:51'!
numberLegs: aNumber

	numberLegs := aNumber! !

!SVAnimal methodsFor: 'accessing' stamp: 'jb 11/11/2020 15:07'!
step

	self makeSound! !

SVAnimal subclass: #SVCat
	instanceVariableNames: 'name'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Stardew-Core'!

!SVCat class methodsFor: 'as yet unclassified' stamp: 'jb 11/11/2020 15:02'!
newWithName: aString

	^ self new name: aString! !

!SVCat methodsFor: 'initialize' stamp: 'jb 11/11/2020 14:56'!
initialize

	super initialize.
	self isSmall: true.
	self numberLegs: 4.! !

!SVCat methodsFor: 'behavior' stamp: 'jb 11/11/2020 14:58'!
makeSound

	Transcript show: 'Meow'! !

!SVCat methodsFor: 'accessing' stamp: 'jb 11/11/2020 15:01'!
name
	^ name! !

!SVCat methodsFor: 'accessing' stamp: 'jb 11/11/2020 15:01'!
name: anObject
	name := anObject! !

SVAnimal subclass: #SVCrocodile
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Stardew-Core'!

!SVCrocodile methodsFor: 'initialize' stamp: 'jb 11/11/2020 14:56'!
initialize

	super initialize.
	self isSmall: false.
	self numberLegs: 4.! !

!SVCrocodile methodsFor: 'behavior' stamp: 'jb 11/11/2020 14:58'!
makeSound

	Beeper beep! !

SVAnimal subclass: #SVPigeon
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Stardew-Core'!

!SVPigeon methodsFor: 'initialization' stamp: 'jb 11/11/2020 14:56'!
initialize

	super initialize.
	self isSmall: true.
	self numberLegs: 2.! !

!SVPigeon methodsFor: 'behavior' stamp: 'jb 11/11/2020 14:57'!
makeSound

	! !
